Public Member Functions
CBaseICEAttributeDataArray Class Reference

## Detailed Description

Base class CICEAttributeDataArray class for the CICEAttributeDataArray and CICEAttributeDataArray2D template classes.

- CICEAttributeDataArrayFloat
- CICEAttributeDataArrayLong
- CICEAttributeDataArrayBool
- CICEAttributeDataArrayVector2f
- CICEAttributeDataArrayVector3f
- CICEAttributeDataArrayVector4f
- CICEAttributeDataArrayQuaternionf
- CICEAttributeDataArrayRotationf
- CICEAttributeDataArrayMatrix3f
- CICEAttributeDataArrayMatrix4f
- CICEAttributeDataArrayColor4f
- CICEAttributeDataArrayShape
- CICEAttributeDataArray2DFloat
- CICEAttributeDataArray2DLong
- CICEAttributeDataArray2DBool
- CICEAttributeDataArray2DVector2f
- CICEAttributeDataArray2DVector3f
- CICEAttributeDataArray2DVector4f
- CICEAttributeDataArray2DQuaternionf
- CICEAttributeDataArray2DRotationf
- CICEAttributeDataArray2DMatrix3f
- CICEAttributeDataArray2DMatrix4f
- CICEAttributeDataArray2DColor4f
- CICEAttributeDataArray2DShape

See also:
  ICEAttribute

Since:
  8.0 (2010)

`#include <xsi_iceattributedataarray.h>`

Inheritance diagram for CBaseICEAttributeDataArray:
[legend]

List of all members.

## Public Member Functions
ULONG | GetCount () const
bool | IsConstant () const
XSI::siICENodeDataType | GetDataType () const
XSI::siICENodeStructureType | GetStructureType () const

## Member Function Documentation

ULONG GetCount | ( | void |  | ) | const `[inline]`

Accessor to the number of elements in the array.

Returns:
  Number of elements in the array.

bool IsConstant | ( |  | ) | const `[inline]`

Returns true if the array is constant in which case the array values are the same.

Returns:
  True if array is constant or false otherwise.

XSI::siICENodeDataType GetDataType | ( |  | ) | const `[inline]`

Returns the base data type of this array.

Returns:
  XSI::siICENodeDataType value.

XSI::siICENodeStructureType GetStructureType | ( |  | ) | const `[inline]`

Returns the base structure type of this array.

Returns:
  XSI::siICENodeStructureType value.

The documentation for this class was generated from the following file:

- xsi_iceattributedataarray.h